ResourceLinkFactory (Catalina Internal API Documentation)
Keywords: org.apache.naming.factory.ResourceLinkFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class ResourceLinkFactory

    java.lang.Object
      org.apache.naming.factory.ResourceLinkFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ResourceLinkFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for resource links.

Version:
  $Revision: 434283 $ $Date: 2006-08-23 21:57:51 -0400 (Wed, 23 Aug 2006) $
Author:
  Remy Maucherat

Constructor Summary
`ResourceLinkFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Create a new DataSource instance.
`static void` | `setGlobalContext(javax.naming.Context newGlobalContext)` Set the global context (note: can only be used once).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceLinkFactory

    public ResourceLinkFactory()

Method Detail

### setGlobalContext

    public static void setGlobalContext(javax.naming.Context newGlobalContext)

  Set the global context (note: can only be used once).

  Parameters:
    `newGlobalContext` - new global context value

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Create a new DataSource instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.